// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
/**
 * @type (DashboardView)
 * This is a view class for Dashboard
 * Provides functions for showing master pane and its action.
 */
define(['hpsum/presenter/dashboard/DashboardPresenter',
    'jquery'],
function(presenter) {"use strict";

    var DashboardView = ( function() {


        /**
         * @constructor
         * @type {DashboardView}
         */
        function DashboardView() {

            /**
             * @public
             */
            this.init = function() {
                presenter.init();
            };

            /**
             * @public
             */
            this.pause = function() {
            };

            /**
             * @public
             */
            this.resume = function() {
            };
        }

        return new DashboardView();
    }());

    return DashboardView;
});